Module org.jfree.chart3d
Package org.jfree.chart3d.data.xyz

# Class XYZDataItem

java.lang.Object
org.jfree.chart3d.data.xyz.XYZDataItem

All Implemented Interfaces:
  `Serializable`

public class XYZDataItem extends Object implements Serializable
Represents a single `(x, y, z)` data item, which can be added to a `XYZSeries`. Instances of this class are immutable.
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XYZDataItem(double x, double y, double z)`
Creates a new (immutable) instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Tests this instance for equality with an arbitrary object.
`double`
`getX()`
Returns the x-value.
`double`
`getY()`
Returns the y-value.
`double`
`getZ()`
Returns the z-value.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XYZDataItem

public XYZDataItem(double x, double y, double z)
Creates a new (immutable) instance.

Parameters:
  `x` - the x-value.
  `y` - the y-value.
  `z` - the z-value.

## Method Details

### getX

public double getX()
Returns the x-value.

Returns:
  The x-value.

### getY

public double getY()
Returns the y-value.

Returns:
  The y-value.

### getZ

public double getZ()
Returns the z-value.

Returns:
  The z-value.

### equals

public boolean equals(Object obj)
Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`